Retrieve a List of Pages

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages

Path parameters

  • profile_id string Required

    id of the profile

Query parameters

  • fields string

    extra information of each profile on the list

  • limit number

    maximum count of the profile list

  • offset number

    skip that many profiles before beginning to return

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • created_by string
    • created_date string
    • description string
    • global_id string
    • icon string
    • id number Required
    • is_disabled boolean
    • label string
    • label_icons string
    • modified_by string
    • modified_date string
    • name string Required
    • page_javascript string
    • permissions object Required
    • permissions_collect boolean
    • permissions_modify boolean
    • permissions_view boolean
    • reference_id_1 string
    • reference_id_2 string
    • reference_id_3 string
    • reference_id_4 string
    • reference_id_5 string
    • sort_order number
    • version number
GET /profiles/{profile_id}/pages
curl \
 --request GET 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": 790765,
    "name": "de13_taking_a_lot_of_pictures",
    "permissions": {
      "collect": true,
      "modify": true,
      "view": true
    }
  },
  {
    "id": 790768,
    "name": "de13_photo_subform",
    "permissions": {
      "collect": true,
      "modify": true,
      "view": true
    }
  },
  {
    "id": 790777,
    "name": "building_inspection",
    "permissions": {
      "collect": true,
      "modify": true,
      "view": true
    }
  }
]